# REQUIRES: configparser (pip3 install configparser)
#
# Extends a bit the configparser. Easyto use,if secions or options
# don't exist they are created
#
from configparser import ConfigParser
class Config(ConfigParser):
    def __init__(self,configfile):        
        ConfigParser.__init__(self)
        self.read(configfile)
        self.ini = configfile # needed for saving

    # gets value of option as string
    def get_option(self,section,option):
        rv = None
        if section in self.sections():
            if option in self[section]:
                rv = self[section][option]
        return rv
    
    # Updates a section and saves it, must all be strings
    def save_option(self, section, option, value):
        if section in self.sections():
            self[section][option] = value
        else:
            self[section] = {option:value}
        self.save()
        
    def delete_option(self,section,option):
        if section in self.sections():
            if option in self[section]:
                del self[section][option]
                self.save()

    # gets all section names as a list
    def get_sections(self):
        return self.sections()
            
    # saves updates to file * saves all of config file
    def save(self):
        with open(self.ini, 'w') as f:
            self.write(f) 

#def main():    
    #cfg = Config('test1.ini')
    #cfg.delete_option('second','opt2')
    #print('sopt2=',cfg.get_option('second','sopt2'))
    #cfg.save_option('second','sopt1','1')
    
#if __name__ == '__main__':
    #main()